# Generated from active_model_secure_token-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name active_model_secure_token

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Create uniques random tokens for any model in ruby on rails. Backport of ActiveRecord::SecureToken 5 to AR 3.x and 4.x
License: MIT
URL: https://github.com/sign2pay/active_model_secure_token
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(mongoid)
# BuildRequires: rubygem(activerecord) >= 3.0
# BuildRequires: rubygem(activerecord) < 5.0
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(sqlite3)
BuildArch: noarch

%description
HasSecureToken provides you an easily way to geneatre uniques random tokens
for any model in ruby on rails. **SecureRandom::base58** is used to generate
the 24-character unique token, so collisions are highly unlikely.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/gemfiles
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/active_model_secure_token.gemspec
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 1.0.0-1
- Initial package
